Show: Inherited Protected Private Deprecated

# ButtonCommand Class

Defined in: `src/ui/react/src/components/base/button-command.js:4`

ButtonCommand is a mixin that executes a command via CKEDITOR's API.

## Index

### Methods

- execCommand

### Properties

- command
- modifiesSelection

## Methods

### `execCommand`

(

- `data`

)

Defined in `src/ui/react/src/components/base/button-command.js:27`

Executes a CKEditor command and fires `actionPerformed` event.

#### Parameters:

- `data` Object=

  Optional data to be passed to CKEDITOR's `execCommand` method.

## Properties

### `command`

String

Defined in `src/ui/react/src/components/base/button-command.js:12`

The command that should be executed.

### `modifiesSelection`

Boolean

Defined in `src/ui/react/src/components/base/button-command.js:19`

Indicates that the command may cause the editor to have a different.